Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
Simone Sanfilippo
Il 12/09/22, 13:19

L'errore che ricevo facendo il restore nella nuova istanza è il seguente:


2022-09-12 14:07:19,820 51396 ERROR Odoo14 odoo.sql_db: bad query: SELECT "website"."id" as "id", "website"."name" as "name", "website"."domain" as "domain", "website"."company_id" as "company_id", "website"."default_lang_id" as "default_lang_id", "website"."auto_redirect_lang" as "auto_redirect_lang", "website"."cookies_bar" as "cookies_bar", "website"."social_twitter" as "social_twitter", "website"."social_facebook" as "social_facebook", "website"."social_github" as "social_github", "website"."social_linkedin" as "social_linkedin", "website"."social_youtube" as "social_youtube", "website"."social_instagram" as "social_instagram", "website"."has_social_default_image" as "has_social_default_image", "website"."google_analytics_key" as "google_analytics_key", "website"."google_management_client_id" as "google_management_client_id", "website"."google_management_client_secret" as "google_management_client_secret", "website"."google_search_console" as "google_search_console", "website"."google_maps_api_key" as "google_maps_api_key", "website"."user_id" as "user_id", "website"."cdn_activated" as "cdn_activated", "website"."cdn_url" as "cdn_url", "website"."cdn_filters" as "cdn_filters", "website"."homepage_id" as "homepage_id", "website"."custom_code_head" as "custom_code_head", "website"."custom_code_footer" as "custom_code_footer", "website"."robots_txt" as "robots_txt", "website"."theme_id" as "theme_id", "website"."specific_user_account" as "specific_user_account", "website"."auth_signup_uninvited" as "auth_signup_uninvited", "website"."request_create_step_layout" as "request_create_step_layout", "website"."request_redirect_after_created_on_website" as "request_redirect_after_created_on_website", "website"."crm_default_team_id" as "crm_default_team_id", "website"."crm_default_user_id" as "crm_default_user_id", "website"."karma_profile_min" as "karma_profile_min", "website"."events_app_name" as "events_app_name", "website"."website_slide_google_app_key" as "website_slide_google_app_key", "website"."create_uid" as "create_uid", "website"."create_date" as "create_date", "website"."write_uid" as "write_uid", "website"."write_date" as "write_date" FROM "website" WHERE "website".id IN (1)

ERROR: ERRORE:  la colonna website.request_redirect_after_created_on_website non esiste

LINE 1: ...ate_step_layout" as "request_create_step_layout", "website"....

                                                             ^

 

2022-09-12 14:07:19,821 51396 INFO Odoo14 odoo.addons.base.models.ir_http: Exception during request Authentication. 

Traceback (most recent call last):

  File "C:\Program Files\Odoo14\server\odoo\tools\cache.py", line 85, in lookup

    r = d[key]

  File "C:\Program Files\Odoo14\server\odoo\tools\func.py", line 71, in wrapper

    return func(self, *args, **kwargs)

  File "C:\Program Files\Odoo14\server\odoo\tools\lru.py", line 34, in __getitem__

    a = self.d[obj]

KeyError: ('website', <function Website._get_cached_values at 0x000001ED782D5558>, 1)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Program Files\Odoo14\server\odoo\api.py", line 793, in get

    return field_cache[record._ids[0]]

KeyError: 1


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Program Files\Odoo14\server\odoo\fields.py", line 972, in __get__

    value = env.cache.get(record, self)

  File "C:\Program Files\Odoo14\server\odoo\api.py", line 796, in get

    raise CacheMiss(record, field)

odoo.exceptions.CacheMiss: 'website(1,).user_id'


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Program Files\Odoo14\server\odoo\addons\base\models\ir_http.py", line 127, in _authenticate

    getattr(cls, "_auth_method_%s" % auth_method)()

  File "C:\Program Files\Odoo14\server\odoo\addons\website\models\ir_http.py", line 138, in _auth_method_public

    request.uid = website and website._get_cached('user_id')

  File "C:\Program Files\Odoo14\server\odoo\addons\website\models\website.py", line 1028, in _get_cached

    return self._get_cached_values()[field]

  File "<decorator-gen-291>", line 2, in _get_cached_values

  File "C:\Program Files\Odoo14\server\odoo\tools\cache.py", line 90, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "C:\Program Files\Odoo14\server\odoo\addons\website\models\website.py", line 1022, in _get_cached_values

    'user_id': self.user_id.id,

  File "C:\Program Files\Odoo14\server\odoo\fields.py", line 2485, in __get__

    return super().__get__(records, owner)

  File "C:\Program Files\Odoo14\server\odoo\fields.py", line 998, in __get__

    recs._fetch_field(self)

  File "C:\Program Files\Odoo14\server\odoo\models.py", line 3071, in _fetch_field

    self._read(fnames)

  File "C:\Program Files\Odoo14\server\odoo\models.py", line 3138, in _read

    cr.execute(query_str, params + [sub_ids])

  File "<decorator-gen-3>", line 2, in execute

  File "C:\Program Files\Odoo14\server\odoo\sql_db.py", line 101, in check

    return f(self, *args, **kwargs)

  File "C:\Program Files\Odoo14\server\odoo\sql_db.py", line 298, in execute

    res = self._obj.execute(query, params)

psycopg2.errors.UndefinedColumn: ERRORE:  la colonna website.request_redirect_after_created_on_website non esiste

LINE 1: ...ate_step_layout" as "request_create_step_layout", "website"....


La tua risposta


0
Avatar

Alex Comba

--Alex Comba--
1525
| 2 0 5
Torino, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 12/09/22, 11:46

> ma una volta fatto abbiamo un Internal Server Error. Dai log sembra manchi qualcosa

Puoi eventualmente riportare la parte saliente dell'errore?

> Non esiste uno script che mi permette di estrarre i dati da Postgres ed importarli in un'altro server?

Non potere fare il dump del db e poi reimportarlo sul nuovo server? Per farlo potete utilizzare l'interfaccia web di Odoo accessibile alla route '/web/database/manager'.



La tua risposta

0
Simone Sanfilippo
Il 12/09/22, 13:48

Ciao Alex, grazie per le info.

Opterei a provare prima la soluzione 2, ovvero il dump di postgres, che sinceramente non avevo neanche provato.

Nel malaugurato caso che non vada, riprovo la strada e ti fornisco il dettaglio dell'errore.

Grazie,

Simone


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

76 follower

Statistiche

Richiesta del: 12/09/22, 10:23
Vista: 68 volte
Ultimo aggiornamento: 12/09/22, 13:19